summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Ján Sučan <jan@jansucan.com>2020-05-09 13:08:04 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2020-05-10 08:37:01 +0700
commit8f707998e6866d7d83eeb8a2e3285adeed7e6dc7 (patch)
tree4f3b4d9bd520a8c652e2d857efe52bff31dfbdbb /office
parent0d9dbbfc1e619a178ef739526296c90feed33793 (diff)
downloadslackbuilds-8f707998e6866d7d83eeb8a2e3285adeed7e6dc7.tar.gz
slackbuilds-8f707998e6866d7d83eeb8a2e3285adeed7e6dc7.tar.xz
office/when: Added (an extremely simple personal calendar program)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/when/README13
-rw-r--r--office/when/slack-desc19
-rw-r--r--office/when/when.SlackBuild87
-rw-r--r--office/when/when.info10
4 files changed, 129 insertions, 0 deletions
diff --git a/office/when/README b/office/when/README
new file mode 100644
index 0000000000..0cfa8e4ce7
--- /dev/null
+++ b/office/when/README
@@ -0,0 +1,13 @@
+When is an extremely simple personal calendar program, aimed at the Unix
+geek who wants something minimalistic. It can keep track of things you
+need to do on particular dates. There are a lot of calendar and
+"personal information manager" programs out there, so what reasons are
+there to use When?
+
+- It's a very short and simple program, so you can easily tinker with it
+ yourself.
+- It doesn't depend on any libraries, so it's easy to install. You
+ should be able to install it on any system where Perl is available,
+ even if you don't have privileges for installing libraries.
+- Its file format is a simple text file, which you can edit in your
+ favorite editor.
diff --git a/office/when/slack-desc b/office/when/slack-desc
new file mode 100644
index 0000000000..66936e9cd1
--- /dev/null
+++ b/office/when/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+when: when (an extremely simple personal calendar program)
+when:
+when: When is an extremely simple personal calendar program, aimed at the
+when: Unix geek who wants something minimalistic. It can keep track of
+when: things you need to do on particular dates.
+when:
+when: Homepage: http://www.lightandmatter.com/when/when.html
+when:
+when:
+when:
+when:
diff --git a/office/when/when.SlackBuild b/office/when/when.SlackBuild
new file mode 100644
index 0000000000..69d9c535ec
--- /dev/null
+++ b/office/when/when.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for when
+
+# Copyright 2020 Ján Sučan, Stará Turá, Slovakia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=when
+VERSION=${VERSION:-1.1.39}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${PRGNAM}_dist
+tar xvf $CWD/$PRGNAM.tar.gz
+cd ${PRGNAM}_dist
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin
+cp $PRGNAM $PKG/usr/bin
+
+mkdir -p $PKG/usr/man/man1
+cp $PRGNAM.1 $PKG/usr/man/man1
+gzip -9 $PKG/usr/man/man1/$PRGNAM.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/when/when.info b/office/when/when.info
new file mode 100644
index 0000000000..6d6a504a35
--- /dev/null
+++ b/office/when/when.info
@@ -0,0 +1,10 @@
+PRGNAM="when"
+VERSION="1.1.39"
+HOMEPAGE="http://www.lightandmatter.com/when/when.html"
+DOWNLOAD="http://www.lightandmatter.com/when/when.tar.gz"
+MD5SUM="6541047caa51d0c521b703a09579551e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Ján Sučan"
+EMAIL="jan@jansucan.com"